/* ------------------------------ */
/* ------------ Popup ----------- */
/* ------------------------------ */

body.hide-scrollbar {
    overflow: hidden;
}

.popup, .popup__overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.popup {
    z-index: -1;
    visibility: hidden;
    opacity: 0;
}

.popup--side.is-active:not(.hide) {
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}

.popup__overlay {
    z-index: 5;
    background-color: var(--brand-black);
    opacity: 0;
    -webkit-transition: opacity var(--transition-2);
    -o-transition: opacity var(--transition-2);
    transition: opacity var(--transition-2);
}

.popup--side .popup__overlay {
    cursor: pointer;
}

.popup.is-active .popup__overlay {
    opacity: .95;
}

.popup .popup__row {
    z-index: 10;
    height: 100%;
    margin: 0;
}

.popup__col {
    padding: 0;
}

.popup__container {
    position: relative;
    z-index: 10;
    margin-right: auto;
    margin-left: auto;
    
    text-align: left;
    background: var(--brand-white);
    -webkit-box-shadow: var(--box-shadow-2);
    box-shadow: var(--box-shadow-2);

    visibility: hidden;
    opacity: 0;

    -webkit-transform: translate3d(0,var(--spacing-6),0);
    transform: translate3d(0,var(--spacing-6),0);
    -webkit-transform-origin: center;
    -ms-transform-origin: center;
    transform-origin: center;

    -webkit-transition: transform 1s cubic-bezier(0,.55,.45,1), opacity 1s, visability 1s;
    -o-transition: transform 1s cubic-bezier(0,.55,.45,1), opacity 1s, visability 1s;
    -webkit-transition: opacity 1s, visability 1s, -webkit-transform 1s cubic-bezier(0,.55,.45,1);
    transition: opacity 1s, visability 1s, -webkit-transform 1s cubic-bezier(0,.55,.45,1);
    transition: transform 1s cubic-bezier(0,.55,.45,1), opacity 1s, visability 1s;
    transition: transform 1s cubic-bezier(0,.55,.45,1), opacity 1s, visability 1s, -webkit-transform 1s cubic-bezier(0,.55,.45,1);
}

.popup__container::-webkit-scrollbar-track {
	background-color: var(--brand-platinum);
}

.popup__container::-webkit-scrollbar {
	background-color: var(--brand-platinum);
}

.popup__container::-webkit-scrollbar-thumb {
	background-color: var(--brand-green);
}

.popup.is-active .popup__container {
    visibility: visible;
    opacity: 1;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    will-change: opacity,visibility,transform;
}

.popup__content {
    margin: 0;
}

.popup__text  {
    max-width: var(--width-content);
}

.popup__text h2, .popup__text h3 {
    margin-top: 0;
}

.popup__content .buttons {
    display: -ms-flexbox;
    display: -webkit-box;
    display: flex;
    -webkit-box-flex: 0;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;

    margin-top: var(--spacing-6);
}

.popup__content .popup__image {
    position: relative;
}

.popup__container p:last-of-type {
    margin-bottom: 0;
}

.button--close-popup {
    cursor: pointer;
}


/* Close */
.popup .popup__close {
    cursor: pointer;
    position: absolute;
    z-index: 12;
    top: var(--spacing-4);
    right: var(--spacing-4);
    line-height: 0;

    -webkit-transition: opacity var(--transition-1) linear .75s, background-color var(--transition-2);
    -o-transition: opacity var(--transition-1) linear .75s, background-color var(--transition-2);
    transition: opacity var(--transition-1) linear .75s, background-color var(--transition-2);
    opacity: 0;
}

.admin-bar .popup .popup__close {
    top: 50px;
}

.popup.is-active .popup__close {
    opacity: 1;
}

.popup.is-active.hide .popup__close {
    opacity: 0;
    -webkit-transition-delay: unset;
         -o-transition-delay: unset;
            transition-delay: unset;
}

svg.popup__close__bubble {
    -webkit-transition: var(--transition-2);
    -o-transition: var(--transition-2);
    transition: var(--transition-2);
}

.no-touchevents .popup__close:hover svg.popup__close__bubble {
    fill: var(--brand-red);
}

.popup__close_container {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.popup__close__icon {
    position: relative;
    height: 100%;
    width: 100%;
}

.popup__close__icon::before, .popup__close__icon::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 3px;
    background-color: var(--brand-white);
}

.popup__close__icon::before {
    -webkit-transform: translateY(-50%) rotate(45deg);
    -ms-transform: translateY(-50%) rotate(45deg);
    transform: translateY(-50%) rotate(45deg);
}

.popup__close__icon::after {
    -webkit-transform: translateY(-50%) rotate(-45deg);
    -ms-transform: translateY(-50%) rotate(-45deg);
    transform: translateY(-50%) rotate(-45deg);
}


/* Outside */
.popup .popup__close.popup__close--outside {
    position: fixed;
    z-index: 10;
}


/* Inside */
.popup .popup__close:not(.popup__close--outside) {
    position: absolute;
}


/* Popup active */
.popup.is-active {
    visibility: visible;
    opacity: 1;
}

.popup.is-active {
    z-index: 105;
}

.popup.is-active .popup__container {
    -webkit-transition-delay: var(--transition-delay);
         -o-transition-delay: var(--transition-delay);
            transition-delay: var(--transition-delay);
}


/* Popup hide */
.popup.is-active.hide .popup__overlay {
    -webkit-transition-delay: var(--transition-delay);
         -o-transition-delay: var(--transition-delay);
            transition-delay: var(--transition-delay);
}

.popup.is-active.hide .popup__overlay, .popup.is-active.hide .popup__container {
    visibility: hidden;
    opacity: 0;
}

.popup.is-active.hide .popup__container {
    -webkit-transition: var(--transition-2);
    -o-transition: var(--transition-2);
    transition: var(--transition-2);
    -webkit-transition-delay: unset;
         -o-transition-delay: unset;
            transition-delay: unset;
}



/* ------------------------------ */
/* -------- Media Queries ------- */
/* ------------------------------ */

@media all and (min-width: 992px) {

    .popup__container {
        margin-top: var(--spacing-6);
        margin-bottom: var(--spacing-6);
    }

    .popup__container::-webkit-scrollbar {
        width: 10px;
    }

    .popup--side .popup__content {
        -webkit-box-align: stretch;
            -ms-flex-align: stretch;
                align-items: stretch;
    }

    .popup--side .popup__text {
        display: -ms-flexbox;
        display: -webkit-box;
        display: flex;
        -webkit-box-flex: 0;
        -ms-flex: 0 1 auto;
        flex: 0 1 auto;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;

        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .popup .popup__text {
        padding: var(--spacing-7) var(--spacing-6);
    }

}


@media all and (min-width: 1400px) {

    svg.popup__close__bubble {
        width: 63px;
        height: 60px;
    }
    
    .popup__close_container {
        width: 26px;
        height: 26px;
    }

}


@media all and (min-width: 1600px) {

    .popup {
        padding-right: var(--spacing-9);
        padding-left: var(--spacing-9);
    }

    .popup--side .popup__container {
        max-width: calc(var(--width-content) - var(--spacing-9) * 2);
    }

    .popup--side .popup__content .popup__text, .popup--side .popup__content .popup__image {
        -ms-flex-preferred-size: 50%;
        flex-basis: 50%;
        max-width: 50%;
    }

    .popup--side .popup__content {
        min-height: 700px;
    }

}


@media all and (max-width: 1599.98px) and (min-width: 1240px) {

    .popup {
        padding-right: var(--spacing-8);
        padding-left: var(--spacing-8);
    }

    .popup--side .popup__container {
        max-width: calc(var(--width-content) - var(--spacing-8) * 2);
    }

}


@media all and (max-width: 1599.98px) and (min-width: 1400px) {

    .popup--side  .popup__content .popup__text {
        -ms-flex-preferred-size: 55%;
        flex-basis: 55%;
        max-width: 55%;
    }
    
    .popup--side .popup__content .popup__image {
        -ms-flex-preferred-size: 45%;
        flex-basis: 45%;
        max-width: 45%;
    }

    .popup--side .popup__content {
        min-height: 560px;
    }

}


@media all and (max-width: 1399.98px) and (min-width: 992px) {

    svg.popup__close__bubble {
        width: 58px;
        height: 55px;
    }
    
    .popup__close_container {
        width: 24px;
        height: 24px;
    }

}


@media all and (max-width: 1399.98px) and (min-width: 1240px) {

    .popup--side  .popup__content .popup__text {
        -ms-flex-preferred-size: 55%;
        flex-basis: 55%;
        max-width: 55%;
    }
    
    .popup--side .popup__content .popup__image {
        -ms-flex-preferred-size: 45%;
        flex-basis: 45%;
        max-width: 45%;
    }

    .popup--side .popup__content {
        min-height: 495px;
    }

}


@media all and (max-width: 1239.98px) and (min-width: 992px) {

    .popup {
        padding-right: var(--spacing-6);
        padding-left: var(--spacing-6);
    }

    .popup--side .popup__container {
        max-width: calc(var(--width-content) - var(--spacing-6) * 2);
    }

    .popup--side  .popup__content .popup__text {
        -ms-flex-preferred-size: 55%;
        flex-basis: 55%;
        max-width: 55%;
    }
    
    .popup--side .popup__content .popup__image {
        -ms-flex-preferred-size: 45%;
        flex-basis: 45%;
        max-width: 45%;
    }

    .popup--side .popup__content {
        min-height: 410px;
    }

}


@media all and (max-width: 991.98px) {

    .popup__content.row > div {
        -ms-flex-preferred-size: 100%;
        flex-basis: 100%;
        max-width: 100%;
        padding-right: 0;
        padding-left: 0;
    }

    .popup__col {
        max-width: 700px;
    }

    .popup__image .picture_container--cover, .popup__image .picture_container--cover picture {
        position: relative;
        height: auto;
    }

}


@media all and (max-width: 991.98px) and (min-width: 768px) {

    .popup__container {
        margin-top: var(--spacing-6);
        margin-bottom: var(--spacing-6);
    }

    .popup__container::-webkit-scrollbar {
        width: 8px;
    }

    .popup--side .popup__text__container {
        padding: var(--spacing-6) var(--spacing-6) calc(var(--spacing-6) + 5px);
    }

    svg.popup__close__bubble {
        width: 54px;
        height: 51px;
    }
    
    .popup__close_container {
        width: 23px;
        height: 23px;
    }

}


@media all and (max-width: 767.98px) {

    .popup__content .popup__text, .popup__content .popup__image {
        -ms-flex-preferred-size: 100%;
        flex-basis: 100%;
        max-width: 100%;
    }

    .popup__container::-webkit-scrollbar {
        width: 8px;
    }

    svg.popup__close__bubble {
        width: 52px;
        height: 50px;
    }
    
    .popup__close_container {
        width: 22px;
        height: 22px;
    }

}


@media all and (max-width: 767.98px) and (min-width: 385px) {

    .popup--side .popup__text__container {
        padding: var(--spacing-6) var(--spacing-5) calc(var(--spacing-6) + 5px);
    }

}


@media all and (max-width: 767.98px) and (min-width: 576px) {

    .popup__container {
        margin-top: var(--spacing-5);
        margin-bottom: var(--spacing-5);
    }

}


@media all and (max-width: 384.98px) {

    .popup--side .popup__text__container {
        padding: var(--spacing-5) var(--spacing-4) calc(var(--spacing-5) + 5px);
    }

}